#include <p16F886.inc>

#define	EE_CS	PORTC,2
#define	SDI		PORTC,4
#define	RELAY	PORTC,1

#define	LEDG	PORTA,6
#define	LEDR	PORTA,7

#define	K1		PORTB,1
#define	K2		PORTB,0

#define	KEY1	keys,0
#define	KEY2	keys,1

#define	CYC1	.15						;cycle times in seconds
#define	CYC2	.30
#define	CYC3	.60
#define	CYC4	.120

#define	EE_RANGE_HIBYTE	0x20

	cblock	0x20
	ee_addr_h
	ee_addr_l	
	ee_data
	int_count_s
	int_count_secs
	keys
	keys_new
	keys_old
	state
	adres_h
	adres_l
	cur_addr_h
	cur_addr_l
	temp
	D0
	D1
	D2
	D3
	timer
	endc

	cblock	0x70
	W_TEMP
	STATUS_TEMP
	endc